# Wrapper

The final proposal for method names of the `Wrap` instance. The methods having some explanation can be clicked.

## Instance method names

| Name               | Description                                                                                                           |
| ------------------ | --------------------------------------------------------------------------------------------------------------------- |
| isClosingIn()      | Checks if the provided `text` has the closing of specified `Wrapper` object at the end of the text.                   |
| isOpeningIn()      | Checks if the provided `text` has the opening of the specified `Wrapper` object at the beginning of the text.         |
| replaceClosingIn() | Replaces the closing chars of the `Wrapper` object in the text with a given replacement value.                        |
| replaceOpeningIn() | Replaces the opening chars of the `Wrapper` object in the text with a given replacement value.                        |
| removeWrapIn()     | Returns the text without the opening and closing of the wrapper.                                                      |
| textWrap()         | The method returns the `Wrap` consisting of the text of the `Wrapper` object and the given opening and closing chars. |
| textUnwrap()       | The method returns the text of the `Wrapper` object without the opening and closing chars.                            |
| toWrap()           | Returns the `Wrap` instance consists of the text, opening and closing chars of the `Wrapper` object.                  |
| unwrap()           | Returns the text without the opening and closing chars.                                                               |
| wrap()             | The method wraps the primitive value of a specified `Wrapper` object.                                                 |
| wrapOn()           | Wraps the specific text with the wrap, the opening, and closing of the `Wrapper` object.                              |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.angular-package.dev/designing/design-processes/wrapper.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
